#pragma message ( "including pmwrite.cc (pixel to screen (masked))" );
//#define TRICKY

#ifndef DEBUG_MSG
 #ifndef BANKED
#ifdef TRICKY
     if ((*(dest+offset)&15)<iColour)
#endif
     *(dest+offset)=(T_UCHAR)iColour COLOR_MODIFIER;
 #else // #ifndef BANKED
     offset_x=(T_UWORD)(offset&vesa_and_x);
#ifdef TRICKY
     if (vesa_address_of_window[vesa_read_window]!=(new_win_address=(T_UWORD)(offset>>vesa_granularity_potenz)))
     {
      vesa_address_of_window[vesa_read_window]=new_win_address;
      vesa_set_read_window();
     }
     if (((*((T_PUCHAR )(vesa_read_seg+offset_x))) &15)<iColour)
#endif
     {
     if (vesa_address_of_window[vesa_write_window]!=(new_win_address=(T_UWORD)(offset>>vesa_granularity_potenz)))
     {
      vesa_address_of_window[vesa_write_window]=new_win_address;
      vesa_set_write_window();
     }
     *((T_PUCHAR )(vesa_write_seg+offset_x))=(T_UCHAR)iColour COLOR_MODIFIER;
    }
 #endif // else #ifndef BANKED
#else // #ifndef DEBUG_MSG
 #ifndef BANKED
#ifdef TRICKY
     if ((*(dest+offset)&15)<iColour)
#endif
    *(dest+offset)=(pixel=(T_UCHAR)iColour COLOR_MODIFIER);
 #else // #ifndef BANKED
     offset_x=(T_UWORD)(offset&vesa_and_x);
#ifdef TRICKY
     if (vesa_address_of_window[vesa_read_window]!=(new_win_address=(T_UWORD)(offset>>vesa_granularity_potenz)))
     {
      vesa_address_of_window[vesa_read_window]=new_win_address;
      vesa_set_read_window();
     }
     if (((*((T_PUCHAR )(vesa_read_seg+offset_x))) &15)<iColour)
#endif
     {
      if (vesa_address_of_window[vesa_write_window]!=(new_win_address=(T_UWORD)(offset>>vesa_granularity_potenz)))
      {
       vesa_address_of_window[vesa_write_window]=new_win_address;
       vesa_set_write_window();
      }
      *((T_PUCHAR )(vesa_write_seg+offset_x))=(pixel=(T_UCHAR)iColour COLOR_MODIFIER);
     }
 #endif // #else // #ifndef BANKED
    *(back+offset)=pixel;
   }
   else
   {
    if (!((*(clip_memory+offset))&1))
    {
     *(back+offset)=(T_UCHAR)iColour COLOR_MODIFIER;
    }
#endif // #else // #ifndef DEBUG_MSG
//#undef TRICKY
